.mega-nav {
  display: grid;
  grid-template-columns: repeat(4, 1fr);

  .nav-item {
    position: relative;
    height: 120px;
    border-right: solid 1px $brdr-dark-gray;
    transition: color $default-delay;
    &:last-child {
      border-right: none;
    }
    &:hover {
      color: $text-white;

      .nav-img {
        opacity: 1;
      }
      .nav-text {
        background-color: $bg-overlay;
      }
    }

    .nav-img {
      @include full-overlay;
      opacity: 0;
      object-fit: cover;
      z-index: 1;
      transition: opacity $default-delay;
    }
    .nav-text {
      @include full-overlay;
      display: flex;
      align-items: center;
      justify-content: center;
      z-index: 2;
      transition: background-color $default-delay;
    }
  }
}
